Bug 582314 - Review Request: libsysactivity - Lib for retrieving statistics of the system`s activity
Summary: Review Request: libsysactivity - Lib for retrieving statistics of the system...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 582352
TreeView+ depends on / blocked
 
Reported: 2010-04-14 15:49 UTC by Thomas Janssen
Modified: 2010-05-07 03:56 UTC (History)
5 users (show)

Fixed In Version: libsysactivity-0.5.1-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-07 03:50:02 UTC
jreznik: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Janssen 2010-04-14 15:49:26 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/libsysactivity.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/libsysactivity-0.5.1-1.fc12.src.rpm
Description:
A lightweight library that retrieves statistics of the system's activity in a 
portable and thread safe way. In each OS that it supports it offers the same 
API for retrieving the activity of: hard disks, CPUs, memory, processes and 
network interfaces.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2115395

[thomas@tusdell SPECS]$ rpmlint libsysactivity.spec ../RPMS/x86_64/libsysactivity-* ../SRPMS/libsysactivity-0.5.1-1.fc12.src.rpm 
libsysactivity-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 1 Jaroslav Reznik 2010-04-15 08:20:50 UTC
Rpmlint: ok (no devel docs)
Package and SPEC name: ok, upstream ships it with lib prefix
License: ok
Upstream source code: ok (966ba9884964803509122cb2fc6f9611  libsysactivity-0.5.1.tar.gz)
Package builds: ok, see scratch build + tested locally
ldconfig: ok
BuildRequires: ok
Devel split: ok
No libtools archives: ok

Just a few notes - please fix summary - use "Library" instead of just "Lib" - looks better (can be fixed later in CVS) and the hardcoded lib in CMakeLists.txt should be fixed upstream. But works correctly.

APPROVED

Comment 2 Thomas Janssen 2010-04-15 10:24:28 UTC
Fixed Summary

Spec URL: http://thomasj.fedorapeople.org/reviews/libsysactivity.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/libsysactivity-0.5.1-2.fc12.src.rpm

Thanks for the review Jaroslav!

Comment 3 Thomas Janssen 2010-04-15 10:27:54 UTC
New Package CVS Request
=======================
Package Name: libsysactivity
Short Description: Library for retrieving statistics of the system`s activity
Owners: thomasj
Branches: F-11 F-12 F-13
InitialCC:

Comment 4 Kevin Fenzi 2010-04-18 01:47:52 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-04-18 13:33:10 UTC
libsysactivity-0.5.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libsysactivity-0.5.1-2.fc12

Comment 6 Fedora Update System 2010-04-18 13:33:16 UTC
libsysactivity-0.5.1-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libsysactivity-0.5.1-2.fc11

Comment 7 Fedora Update System 2010-04-18 13:33:21 UTC
libsysactivity-0.5.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libsysactivity-0.5.1-2.fc13

Comment 8 Fedora Update System 2010-04-20 13:01:39 UTC
libsysactivity-0.5.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libsysactivity'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libsysactivity-0.5.1-2.fc13

Comment 9 Fedora Update System 2010-04-20 13:10:43 UTC
libsysactivity-0.5.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libsysactivity'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libsysactivity-0.5.1-2.fc12

Comment 10 Fedora Update System 2010-04-20 13:26:12 UTC
libsysactivity-0.5.1-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libsysactivity'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libsysactivity-0.5.1-2.fc11

Comment 11 Carlos Olmedo Escobar 2010-04-26 16:23:50 UTC
(In reply to comment #1)
> Rpmlint: ok (no devel docs)
> Package and SPEC name: ok, upstream ships it with lib prefix
> License: ok
> Upstream source code: ok (966ba9884964803509122cb2fc6f9611 
> libsysactivity-0.5.1.tar.gz)
> Package builds: ok, see scratch build + tested locally
> ldconfig: ok
> BuildRequires: ok
> Devel split: ok
> No libtools archives: ok
> 
> Just a few notes - please fix summary - use "Library" instead of just "Lib" -
> looks better (can be fixed later in CVS) and the hardcoded lib in
> CMakeLists.txt should be fixed upstream. But works correctly.
> 
> APPROVED    

Hi. I'm the author of libsysactivity. You say that there is something wrong in the CMakeLists.txt (which one?). Please, tell me what is it and why so i can fix it for the next release.

Thanks.

Comment 12 Thomas Janssen 2010-04-26 18:43:24 UTC
Hi Carlos :)

sed -i 's,${CMAKE_INSTALL_PREFIX}/lib,%{_libdir},' src/CMakeLists.txt

Comment 13 Rex Dieter 2010-04-26 19:17:50 UTC
or even better,

sed -i 's,${CMAKE_INSTALL_PREFIX}/lib,${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX},' src/CMakeLists.txt

Comment 14 Carlos Olmedo Escobar 2010-04-27 11:24:16 UTC
Done upstream. Will be fixed in the next release.

Comment 15 Fedora Update System 2010-05-07 03:49:57 UTC
libsysactivity-0.5.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-05-07 03:53:54 UTC
libsysactivity-0.5.1-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-07 03:56:21 UTC
libsysactivity-0.5.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.